hpp-affordance: hpp::affordance::Triangle Struct Reference

hpp-affordance 9.0.2 Implementation to Extract Whole-Body Affordances for Mutli-Contact Planning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
hpp::affordance::Triangle Struct Reference

Helper class to save triangle information. More...

`#include <hpp/affordance/affordance-extraction.hh>`

Collaboration diagram for hpp::affordance::Triangle:
[legend]

## Public Member Functions
| Triangle ()
| Triangle (const TrianglePoints &inPoints)
| Constructor that takes in a TrianglePoints object.
void | TriangleArea (TrianglePoints &tri)
void | TriangleNormal (TrianglePoints &tri)

## Public Attributes
TrianglePoints | points
| The global position of a triangles vertices.
double | area
| The area of a triangle.
coal::Vec3s | normal
| The normal vector of a triangle.

## Detailed Description

Helper class to save triangle information.

## Constructor & Destructor Documentation

## ◆ Triangle() [1/2]

hpp::affordance::Triangle::Triangle | ( |  | ) |
| inline

## ◆ Triangle() [2/2]

hpp::affordance::Triangle::Triangle | ( | const TrianglePoints & | inPoints | ) |
| inline

Constructor that takes in a TrianglePoints object.

## Member Function Documentation

## ◆ TriangleArea()

void hpp::affordance::Triangle::TriangleArea | ( | TrianglePoints & | tri | ) |
| inline

Computes the area of a triangle.

Parameters

  tri | The global position of a triangles vertices

## ◆ TriangleNormal()

void hpp::affordance::Triangle::TriangleNormal | ( | TrianglePoints & | tri | ) |
| inline

Computes the normal vector of a triangle based on the global position of its vertices. The normal is subject to convention!

Parameters

  tri | The global position of a triangles vertices

## Member Data Documentation

## ◆ area

double hpp::affordance::Triangle::area

The area of a triangle.

## ◆ normal

coal::Vec3s hpp::affordance::Triangle::normal

The normal vector of a triangle.

## ◆ points

TrianglePoints hpp::affordance::Triangle::points

The global position of a triangles vertices.

The documentation for this struct was generated from the following file:

- include/hpp/affordance/affordance-extraction.hh